#!/bin/sh
echo 'name: webkit
version: 0.12.3
id: webkit-0.12.3-3f3ebeddb7f28ccee09d9a3ea5e0281c

license: LGPL-2.1
copyright: (c) 2001-2010 The Gtk2Hs Team
maintainer: gtk2hs-users@lists.sourceforge.net
stability: provisional
homepage: http://projects.haskell.org/gtk2hs/
package-url:
description: WebKit is a web content engine, derived from KHTML and KJS from KDE, and
             used primarily in Apple'\''s Safari browser.  It is made to be embedded in
             other applications, such as mail readers, or web browsers.
             It is able to display content such as HTML, SVG, XML, and others. It also
             supports DOM, XMLHttpRequest, XSLT, CSS, Javascript/ECMAscript and more.
category: Graphics
author: Cjacker Huang, Andy Stewart, Axel Simon
exposed: True
exposed-modules: Graphics.UI.Gtk.WebKit.CacheModel
                 Graphics.UI.Gtk.WebKit.Download
                 Graphics.UI.Gtk.WebKit.GeolocationPolicyDecision
                 Graphics.UI.Gtk.WebKit.HitTestResult
                 Graphics.UI.Gtk.WebKit.NetworkRequest
                 Graphics.UI.Gtk.WebKit.NetworkResponse
                 Graphics.UI.Gtk.WebKit.SecurityOrigin
                 Graphics.UI.Gtk.WebKit.SoupAuthDialog
                 Graphics.UI.Gtk.WebKit.WebBackForwardList
                 Graphics.UI.Gtk.WebKit.WebDatabase
                 Graphics.UI.Gtk.WebKit.WebDataSource
                 Graphics.UI.Gtk.WebKit.WebFrame
                 Graphics.UI.Gtk.WebKit.WebHistoryItem
                 Graphics.UI.Gtk.WebKit.WebInspector
                 Graphics.UI.Gtk.WebKit.WebNavigationAction
                 Graphics.UI.Gtk.WebKit.WebPolicyDecision
                 Graphics.UI.Gtk.WebKit.WebResource
                 Graphics.UI.Gtk.WebKit.WebSettings Graphics.UI.Gtk.WebKit.WebView
                 Graphics.UI.Gtk.WebKit.WebWindowFeatures
hidden-modules: Graphics.UI.Gtk.WebKit.Internal
                Graphics.UI.Gtk.WebKit.Types Graphics.UI.Gtk.WebKit.Signals
import-dirs: /usr/local/lib/ghc-7.0.4/cabal/webkit-0.12.3
library-dirs: /usr/local/lib/ghc-7.0.4/cabal/webkit-0.12.3
              /usr/local/lib
hs-libraries: HSwebkit-0.12.3
extra-libraries: webkitgtk-1.0 gtk-x11-2.0 soup-2.4 gdk-x11-2.0
                 atk-1.0 pangocairo-1.0 Xext Xrender Xinerama Xi Xrandr Xcursor
                 Xcomposite Xdamage gdk_pixbuf-2.0 pangoft2-1.0 Xfixes cairo X11
                 pango-1.0 m freetype fontconfig gio-2.0 gobject-2.0 gmodule-2.0
                 gthread-2.0 glib-2.0
extra-ghci-libraries:
include-dirs: /usr/local/include /usr/local/include/webkit-1.0
              /usr/local/include/glib-2.0 /usr/local/include/gtk-2.0
              /usr/local/include/libsoup-2.4 /usr/local/lib/gtk-2.0/include
              /usr/local/include/atk-1.0 /usr/local/include/cairo
              /usr/local/include/gdk-pixbuf-2.0 /usr/local/include/pango-1.0
              /usr/local/include/gio-unix-2.0/ /usr/local/include/pixman-1
              /usr/local/include/freetype2 /usr/local/include/libpng
              /usr/local/include/libxml2
includes:
depends: base-4.3.1.0-c683e1c476645dcbab1b168f8e5a9aeb
         cairo-0.12.2-3c2fec1f88a91352e69551a3e4e32b3e
         glib-0.12.2-14d626c7282f5f31da9b4a299a29106c
         gtk-0.12.2-eb6577e503c9105a0b596523a2dbc206
         pango-0.12.2-940a57a1d080812b6ad7997572bc4304
hugs-options:
cc-options:
ld-options: -pthread
framework-dirs:
frameworks:
haddock-interfaces: /usr/local/share/doc/ghc-7.0.4/cabal/webkit-0.12.3/html/webkit.haddock
haddock-html: /usr/local/share/doc/ghc-7.0.4/cabal/webkit-0.12.3/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-conf' "$@"
